unit Frmcsel;

interface


uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, ExtCtrls, Colsel;

type
  TForm1 = class(TForm)
    CSelText: TColSel;
    PnlTestColors: TPanel;
    CSelBakG: TColSel;
    Label1: TLabel;
    Label2: TLabel;
    BButExit: TBitBtn;
    ButUserdef: TButton;
    ColorDialog1: TColorDialog;
    procedure BButExitClick(Sender: TObject);
    procedure CSelTextChange(Sender: TObject);
    procedure CSelBakGChange(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure ButUserdefClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

(*************************************************************)
procedure TForm1.BButExitClick(Sender: TObject);
(*************************************************************)

begin
close;
end;

(*************************************************************)
procedure TForm1.CSelTextChange(Sender: TObject);
(*************************************************************)

begin
PnlTestColors.Font.Color := CSelText.SelColor;
end;

(*************************************************************)
procedure TForm1.CSelBakGChange(Sender: TObject);
(*************************************************************)

begin
PnlTestColors.Color := CSelBakG.SelColor;
end;

(*************************************************************)
procedure TForm1.FormActivate(Sender: TObject);
(*************************************************************)

begin
CSelBakG.SelColor := PnlTestColors.Color;
CSelText.SelColor := PnlTestColors.Font.Color;
end;

procedure TForm1.ButUserdefClick(Sender: TObject);
begin
if ColorDialog1.Execute then
  begin
  CSelBakG.SelColor := ColorDialog1.Color;
  PnlTestColors.Color := CSelBakG.SelColor;
  end;
end;

end.
